File: INSTALL

package info (click to toggle)
qstardict 1.3-6
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 2,784 kB
  • sloc: cpp: 9,590; makefile: 10; sh: 10
file content (32 lines) | stat: -rw-r--r-- 971 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
You need Qt >= 4.2 and glib >= 2.0. If you have QtDBus module QStarDict
will be compiled with D-Bus support.

To disable D-Bus support add
    NO_DBUS=1
to qmake arguments.

To disable translations add
    NO_TRANSLATIONS=1
to qmake arguments.

If you want to select plugins to compile add
    ENABLED_PLUGINS="plugin1 plugin2 ..."
to qmake arguments.
Available plugins:
    * stardict - supports StarDict dictionaries
    * web - supports any web search engine
    * swac - supports SWAC speaking system (http://shtooka.net)
    * multitran - supports Multitran dictionaries (http://multitran.sourceforge.net)
By default the only "stardict" and "web" plugins enabled.

To enable developer mode add
    DEVEL=1
to qmake arguments. In this mode you will be able to set QSTARDICT_PLUGINS_DIR
environment variable to override default.

To build and install:
1)	qmake [switches]
2)	make
3)	make install

If you want to compile KDE 4 plasmoid please read kdeplasma/COMPILING.